Package org.apache.solr.client.solrj.request

## Class NodeApi

- java.lang.Object
- - org.apache.solr.client.solrj.request.NodeApi

    public class NodeApi
    extends Object

### Nested Class Summary

Nested Classes
`static class` `NodeApi.DeleteNode`
`static class` `NodeApi.DeleteNodeResponse`
`static class` `NodeApi.GetPublicKey`
`static class` `NodeApi.GetPublicKeyResponse`
`static class` `NodeApi.ReplaceNode`
`static class` `NodeApi.ReplaceNodeResponse`

### Constructor Summary

Constructors
`NodeApi()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeApi

    public NodeApi()